Last Comment Bug 50959 - [MARGIN-C]block vertical margins need rewrite
: [MARGIN-C]block vertical margins need rewrite
Status: NEW
[CSS1-4.1.1]
: css1, highrisk
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: P3 normal with 10 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 477462
Blocks: 33784 166194 376365 521875 616296 616339 680761 44242 50142 87277 104166 451791
  Show dependency treegraph
 
Reported: 2000-08-31 14:06 PDT by David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch)
Modified: 2013-08-24 07:22 PDT (History)
16 users (show)
roc: blocking1.9.1-
roc: wanted1.9.1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
work in progress that I am giving up on (42.65 KB, patch)
2000-08-31 14:08 PDT, David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch)
no flags Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2000-08-31 14:06:47 PDT
I'm giving up on my attempts to fix most of the bugs in vertical margins on
blocks.  My changes are doing things that I didn't expect them to do, and I just
don't have the energy to look at this code anymore to figure out why not.  The
original changes were better in terms of correctness but crashed in some cases
(e.g., tinderbox popups).  The #if 0 code shows my original changes.

I will attach the changes that I am currently removing from my tree.  I will
attempt to pull the one or two easy fixes out of these changes and try and get
them checked in.  However, the margin code has serious problems and I don't
understand the block code well enough to fix them.
Comment 1 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2000-08-31 14:08:10 PDT
Created attachment 13833 [details] [diff] [review]
work in progress that I am giving up on
Comment 2 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2000-08-31 17:22:40 PDT
The changes here basically fix bug 50142 and bug 44242.  There are also other
related MARGIN-C bugs, some of which are compat issues that are less important
once we have released and set a precedent.  Some of those compat issues may be
fixed by these changes (or an improvement of these changes) as well.
Comment 3 Ben Bucksch (:BenB) 2000-09-17 17:03:21 PDT
dbaron, which bugs did you try to fix but failed (i.e. which other bugs would
this fix apart from bugs 44242,50142)?
Comment 4 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2000-09-17 18:53:45 PDT
Those are the bugs I succeeded in fixing with these changes.  I was trying 
to fix many of the other bugs marked [MARGIN-C], e.g., bug 18206 (I may 
have had that fixed too), bug 29413, and bug 34404.  I hadn't yet thought of 
a good way to fix the compatibility [MARGIN-C] bugs.
Comment 5 Jason Eager 2000-12-17 14:24:57 PST
Is anyone else here willing to pick these changes up and run with them? I'm
currently trying to get involved with fixing layout bugs, but I've got a bunch
of learning to do first before I can really help fix bugs of this scope.
Comment 6 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2001-09-04 13:09:50 PDT
Taking back.  Part of what the original rewrite did, plus other things, is being
done for bug 86947.
Comment 7 Markus Hübner 2002-09-11 05:49:35 PDT
Has there been any progress in the meantime?
Comment 8 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2007-05-21 21:59:09 PDT
So roc rewrote them again more recently, regressing performance significantly, and I think we need another rewrite, so this is still valid.

Note You need to log in before you can comment on or make changes to this bug.